import 'package:flutter_dotenv/flutter_dotenv.dart';
import 'package:flutter_test/flutter_test.dart';
import 'package:workouttest_util/util/logging.dart';

class LoggingTest with Logging {}

main() {
  late LoggingTest mockLogging;
  setUp(() async {
    mockLogging = LoggingTest();
    await dotenv.load(fileName: "assets/.env");
  });

  group('logging', () {
    test('test dotenv', () {
      String debug = dotenv.get("debug", fallback: "1");
      mockLogging.log("message");
      expect(debug, "2");
    });
  });
}
